%%
% Display geometric figures on canvas
%
%% Modules of this program:
%
%%%
% * <canvas.html *Canvas*> class.
% * <canvas_2d.html *Canvas_2D*> class
% * <drawfcn_test.html *drawFcn_Test*> class.
% * <load_lesm_letters.html *load_LESM_letters*> class.
%
%%
% Clear workspace
clear
close(findall(0,'Type','figure'));
clear classes
clc

% Add path to canvas folder
addpath('canvas');

% Initialize canvas
canvas = Canvas_2D();

% Turn off canvas visualization control toolbar
canvas.getContext().Toolbar.Visible = 'off';

% Disabel interactive canvas functionalities
canvas.getContext().Interactions = [];

% Turn grid on
canvas.Grid(true);

% Set equal horizontal and vertical scale
% (1 = default => equal)
% (0 => independent horizontal and vertical scales)
%canvas.Equal(1);

% Provide handle to function that updates the canvas
canvas.setUpdateFcn(@drawFcn_Test);

% Update canvas
canvas.update();